Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 541483 - Review Request: MakerDialog - Utility that conveniently handle configuration properties
Summary: Review Request: MakerDialog - Utility that conveniently handle configuration...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-11-26 02:13 UTC by Ding-Yi Chen
Modified: 2012-06-29 22:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 22:04:31 UTC


Attachments (Terms of Use)

Description Ding-Yi Chen 2009-11-26 02:13:48 UTC
Spec URL: http://dchen.fedorapeople.org/files/rpms/MakerDialog.spec
SRPM URL: http://dchen.fedorapeople.org/files/rpms/MakerDialog-0.1.1-1.fc12.src.rpm
Description: 
MakerDialog is an utility that conveniently handle configuration properties
by producing corresponding UI widgets and load/save functions.

It generates corresponding UI widgets according to the
specification of configuration properties, such as data type, default
value, valid values and limitation. Developers no longer need to worry
about the event handling details of various toolkit.

Comment 1 Jens Petersen 2009-11-30 06:28:09 UTC
Thanks

I tried to build the examples and got to:

$ cd examples
$ cmake .
$ make
:
/usr/include/MakerDialog/gtk/maker-dialog-gtk.h:30:23: error: ../config.h: No such file or directory

Comment 2 Ding-Yi Chen 2009-12-11 04:55:27 UTC
Issue address, new spec and srpm can be downloaded from following URL:

Spec URL: http://dchen.fedorapeople.org/files/rpms/MakerDialog.spec
SRPM URL:
http://dchen.fedorapeople.org/files/rpms/MakerDialog-0.2.0-1.fc12.src.rpm

Comment 3 Jason Tibbitts 2010-11-14 16:40:23 UTC
This package fails to build:

/usr/lib64/ccache/gcc  -Wall   CMakeFiles/MakerDialogGConfSchemas.dir/MakerDialogConfigGConfSchemas.o  -o MakerDialogGConfSchemas -rdynamic libMakerDialogGConf.so.0.2 libMakerDialog.so.0.2 -lgconf-2 -lglib-2.0 -Wl,-rpath,/builddir/build/BUILD/MakerDialog-0.2.0-Source/bin 
/usr/bin/ld: CMakeFiles/MakerDialogGConfSchemas.dir/MakerDialogConfigGConfSchemas.o: undefined reference to symbol 'g_type_init'
/usr/bin/ld: note: 'g_type_init' is defined in DSO /lib64/libgobject-2.0.so.0 so try adding it to the linker command line
/lib64/libgobject-2.0.so.0: could not read symbols: Invalid operation
collect2: ld returned 1 exit status

A scratch build showing the failure: http://koji.fedoraproject.org/koji/taskinfo?taskID=2600110

Comment 4 Jason Tibbitts 2012-06-29 22:04:31 UTC
Still no buildable package after 19 months; closing.


Note You need to log in before you can comment on or make changes to this bug.